package pps.core.task.job;

import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;
import xstartup.service.job.XJob;
import xstartup.service.job.annotation.XCronTrigger;

@XText("测试定时任务")
@XService
public class TestTaskJob implements XJob {

    @XCronTrigger(value = XCronTrigger.PRE_30S)
    @Override
    public XServiceResult execute(XContext context) {
        context.getLogger().debug("测试任务");
        return XServiceResult.OK;
    }

}
