--pps_dispatch star

-- 批次月计划表 修改字段类型
ALTER TABLE pps_dispatch.batch_monthly_plan ALTER COLUMN file_key TYPE varchar USING file_key::varchar;

ALTER TABLE pps_dispatch.batch_monthly_plan ALTER COLUMN file_key_id TYPE varchar USING file_key_id::varchar;

-- 原油物性记录台账表(原油) 增加字段
ALTER TABLE pps_dispatch.crude_oil_physical_property_record_account ADD choose_whether int4 NULL;
COMMENT ON COLUMN pps_dispatch.crude_oil_physical_property_record_account.choose_whether IS '用户是否完成';

-- 成品油物性记录台账表（成品油）
ALTER TABLE pps_dispatch.physical_property_record_account_of_product_oil ADD choose_whether int4 NULL;
COMMENT ON COLUMN pps_dispatch.physical_property_record_account_of_product_oil.choose_whether IS '用户是否完成';

-- 切泵台账表（成品油）
ALTER TABLE pps_dispatch.pump_switching_account ADD choose_whether int4 NULL;
COMMENT ON COLUMN pps_dispatch.pump_switching_account.choose_whether IS '用户是否完成';

-- 加热炉调整台账表（原油）
ALTER TABLE pps_dispatch.heating_furnace_adjustment_account ADD choose_whether int4 NULL;
COMMENT ON COLUMN pps_dispatch.heating_furnace_adjustment_account.choose_whether IS '用户是否完成';

-- 设备故障台账表（成品油，原油）
ALTER TABLE pps_dispatch.equipment_failure_ledger ADD choose_whether int4 NULL;
COMMENT ON COLUMN pps_dispatch.equipment_failure_ledger.choose_whether IS '用户是否完成';

-- 生产记事台账表（成品油）
ALTER TABLE pps_dispatch.production_record_account ADD choose_whether int4 NULL;
COMMENT ON COLUMN pps_dispatch.production_record_account.choose_whether IS '用户是否完成';

--生产问题台账表（成品油）
ALTER TABLE pps_dispatch.production_problem_account ADD choose_whether int4 NULL;
COMMENT ON COLUMN pps_dispatch.production_problem_account.choose_whether IS '用户是否完成';

--混油界面台账表（成品油）
ALTER TABLE pps_dispatch.oil_mixing_interface_account ADD choose_whether int4 NULL;
COMMENT ON COLUMN pps_dispatch.oil_mixing_interface_account.choose_whether IS '用户是否完成';

-- 混油跟踪及下载台账表（成品油）
ALTER TABLE pps_dispatch.oil_mixing_interface_tracking_and_downloading_account ADD choose_whether int4 NULL;
COMMENT ON COLUMN pps_dispatch.oil_mixing_interface_tracking_and_downloading_account.choose_whether IS '用户是否完成';

--管线运行记录台账表（成品油）
ALTER TABLE pps_dispatch.pipeline_operation_record_account ADD choose_whether int4 NULL;
COMMENT ON COLUMN pps_dispatch.pipeline_operation_record_account.choose_whether IS '用户是否完成';

-- 动火作业表（原油成品油）
ALTER TABLE pps_dispatch.hot_work_of_crude_oil_and_product_oil ADD choose_whether int4 NULL;
COMMENT ON COLUMN pps_dispatch.hot_work_of_crude_oil_and_product_oil.choose_whether IS '用户是否完成';


--pps_dispatch end
