package pps.core.task.job;

import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;
import xstartup.service.job.XJob;
import xstartup.service.job.annotation.XCronTrigger;
import pps.cloud.dispatch.service.DispNgOnDutyMatService;

@XText("天然气值班事宜定时生成")
@XService
public class NgOnDutyMatJob implements XJob {
    @XCronTrigger(value = "0 0 0 */1 * ?")
    @Override
    public XServiceResult execute(XContext xContext) {
        //调用disp服务执行生成值班事宜
        DispNgOnDutyMatService onDutyMatService = xContext.getBean(DispNgOnDutyMatService.class);
        XServiceResult xServiceResult = onDutyMatService.AutoGenerateOnDutyMat(xContext);
        return xServiceResult;
    }
}
